#pragma once

#include "review_utils.h"

#include <yandex/maps/wiki/social/feedback/review.h>
#include <string>

using namespace maps::wiki::social;

namespace maps::wiki::socialsrv {

std::string toJson(
    const feedback::Review& review,
    const std::string& token,
    TUid uid,
    const ReviewExternData& reviewExternData);

std::string toJson(
    const feedback::Review& review,
    TUid uid,
    const ReviewExternData& reviewExternData);

std::string toJson(
    const std::vector<feedback::ReviewBrief>& reviews);

} // namespace maps::wiki::socialsrv
